Name:           perl-CPAN-Reporter
Version:        1.2018
Release:        2%{?dist}
Summary:        Adds CPAN Testers reporting to CPAN.pm
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-Reporter/
Source0:        http://www.cpan.org/modules/by-module/CPAN/CPAN-Reporter-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Config::Tiny) >= 2.08
BuildRequires:  perl(constant)
BuildRequires:  perl(CPAN) >= 1.94
BuildRequires:  perl(CPAN::Version)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::Autoflush) >= 0.04
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::HomeDir) >= 0.58
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec) >= 3.19
BuildRequires:  perl(File::Temp) >= 0.16
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IPC::Cmd) >= 0.76
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::Reporter) >= 1.54
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Archive::Tar) >= 1.54
BuildRequires:  perl(File::Copy::Recursive) >= 0.35
BuildRequires:  perl(File::pushd) >= 0.32
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(IO::CaptureOutput) >= 1.03
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More) >= 0.62
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(CPAN) >= 1.94
Requires:       perl(Data::Dumper)

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Win32::Job)
%global __requires_exclude %__requires_exclude|^perl\\(File::Spec\\)$
%global __requires_exclude %__requires_exclude|^perl\\(File::HomeDir\\)$
%global __requires_exclude %__requires_exclude|^perl\\(CPAN\\)

%description
CPAN::Reporter is an add-on for the CPAN.pm module to send the results of
building and testing modules to the CPAN Testers project.

%prep
%setup -q -n CPAN-Reporter-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING.mkdn README Todo examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2018-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.2018-1
- 1.2018 bump

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.2017-2
- Perl 5.24 rebuild

* Thu Mar 31 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.2017-1
- 1.2017 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2015-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.2015-1
- 1.2015 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2014-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.2014-2
- Perl 5.22 rebuild

* Wed Jun 10 2015 Petr Pisar <ppisar@redhat.com> - 1.2014-1
- 1.2014 bump

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.2011-3
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.2011-2
- Perl 5.20 rebuild

* Thu Jul 31 2014 David Dick <ddick@cpan.org> - 1.2011-1
- Initial release
